For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
          • V2
              • GETList Customers
              • POSTCreate Customer
              • DELDelete Customers
              • GETGet Customer
              • PUTUpdate Customer
              • DELDelete Customer
              • GETGet Count of Customers
                • GETList Customer Groups
                • POSTCreate Customer Group
                • GETGet Customer Group
                • PUTUpdate Customer Group
                • DELDelete Customer Group
                • GETGet Count of Customer Groups
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV2Customer Groups

List Customer Groups

GET
https://api.bigcommerce.com/stores/:store_hash/v2/customer_groups
GET
/stores/:store_hash/v2/customer_groups
$curl https://api.bigcommerce.com/stores/store_hash/v2/customer_groups \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1[
2 {
3 "id": 1,
4 "name": "Wholesale",
5 "is_default": false,
6 "category_access": {
7 "type": "all",
8 "categories": [
9 18,
10 19,
11 23,
12 34
13 ]
14 },
15 "discount_rules": [
16 {
17 "type": "price_list",
18 "method": "percent",
19 "amount": "5.0000",
20 "price_list_id": 3
21 }
22 ],
23 "date_created": {},
24 "date_modified": {},
25 "is_group_for_guests": true
26 }
27]

Returns a list of Customer Groups. Default sorting is by customer-group ID, from lowest to highest.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Was this page helpful?
Previous

Get Count of Customer Addresses

Next

Create Customer Group

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.
namestringOptional
Filter customer groups by exact name match.
name:likestringOptional
Filter customer groups by name, using a fuzzy matching method.
is_defaultbooleanOptional
Filter by customers who sign up are added to this group by default.
date_createddatetimeOptional

Filter customer groups by date_created. date_created=2018-09-05T13:43:54

date_created:maxstringOptional

Filter customer groups by maximum date_created. date_created:max=2018-09-10

date_created:mindatetimeOptional

Filter customer groups by date_created. date_created:min=2018-09-05

date_modifieddatetimeOptional

Filter customer groups by date_modified. date_modified=2018-09-05T13:45:03

date_modified:mindatetimeOptional

Filter customer groups by minimum date_modified. date_modified:min=2019-09-04T:00:00:00 or date_modified:min=2019-09-04

date_modified:maxdatetimeOptional

Filter customer groups by maximum date_modified. date_modified:max=2018-09-05T13:45:03 or date_modified:max=2019-09-04

is_group_for_guestsbooleanOptional
Filter whether the group is for guests. There can only be one customer group for guests at a time.

Response

idinteger
ID of the customer group.
namestring
Name of the group.
is_defaultboolean
Determines whether new customers are assigned to this group by default.
category_accessobject
discount_ruleslist of objects
date_createdstring
Date on which the customer group was created.
date_modifiedstring
Date on which the customer group was last modified.
is_group_for_guestsboolean
Describes whether the group is for guests. There can only be one customer group for guests at a time.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.